
Application: gvSIG desktop - gvSIG bugs #4605
Export to (DXF): polygons with holes are not correctly exported
08/08/2017 12:07 PM - Antonio Falciano

Status: New % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee:
Category: Document view
Target version:
Severity: Minor Add-on version:
gvSIG version: 2.4.0 Add-on build:
gvSIG build: 2830 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: Hito:
Add-on name: Unknown
Description
Steps to reproduce the issue:
    -  add donut.shp to a view (EPSG:4326);
    -  export it as DXF (e.g. donut.dxf).

Result: donut.dxf is rendered without hole.

History
#1 - 09/05/2017 07:04 PM - Francisco Díaz Carsí
- Assignee set to Francisco Díaz Carsí
- Status changed from New to Invalid

La exportación a DXF de los polígonos, en gvSIG, se realiza creando LWPOLYLINES, las cuales no son más que líneas que pueden estar abiertas o
cerradas. Estas LWPOLYLINES no tienen posibilidad de tener agujeros internos, así pues, en su momento se decidió exportar los agujeros como
nuevas LWPOLYLINES.

Posteriormente, cuando leemos esos archivos se crean polígonos o líneas de gvSIG dependiendo de si esas LWPOLYLINES son abiertas o cerradas
y ya no podemos saber si eran agujeros de un antiguo polígono.

#2 - 09/08/2017 10:55 AM - Joaquín  del Cerro Murciano
- Status changed from Invalid to New

Recupero el ticket aunque no se cuando se podra abordar.
Probablemente lo que sucede es que estamos usando la entidad equivocada del DXF para grabar los poligonos, ya que hay entidades otras
entidades que permiten algo asi.

#3 - 09/08/2017 10:56 AM - Joaquín  del Cerro Murciano
- Target version deleted (2.4.0-2850-final (rev. org.gvsig.desktop-2.0.220))
- Assignee deleted (Francisco Díaz Carsí)

#4 - 03/04/2020 02:51 PM - Álvaro Anguix
- Category set to Document view
Files
donut.zip 1.24 KB 08/08/2017 Antonio Falciano
